List a delivery's attempts

GET
/v1/hooks/applications/{application}/deliveries/{delivery_id}/attempts

Every HTTP request of the delivery, oldest first, with response excerpts.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

application*string

The application's id (happ_…) or your uid for it.

delivery_id*string

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The delivery's attempts.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.hooks.deliveries.listAttempts("customer_8812", "hdel_01k7c8m4q2f3e9v6t5r1n0p8yz");
{  "object": "list",  "data": [    {      "object": "hook_attempt",      "id": "hatt_01k7c8m4q2f3e9v6t5r1n0p8yz",      "delivery_id": "hdel_01k7c8m4q2f3e9v6t5r1n0p8yz",      "endpoint_id": "hep_01k7c8m4q2f3e9v6t5r1n0p8yz",      "attempted_at": "2026-01-15T09:30:00.000Z",      "status_code": 200,      "duration_ms": 182,      "error": null,      "response_excerpt": "ok"    }  ],  "has_more": false}